polybori::groebner::ExpGreater Class Reference

This class defines ExpGreater. More...

`#include <ExpGreater.h>`

Inheritance diagram for polybori::groebner::ExpGreater:

## Public Member Functions

| ExpGreater (const BoolePolyRing &ring)
bool | operator() (const BooleExponent &lhs, const BooleExponent &rhs) const
Public Member Functions inherited from polybori::CFactoryBase
| CFactoryBase (const parent_type &parent)
| Default constructor. More...
| CFactoryBase (const self &rhs)
| Copy constructor. More...
| ~CFactoryBase ()
| Destructor. More...
const parent_type & | parent () const
| Access delayed data. More...

## Additional Inherited Members

Public Types inherited from polybori::CFactoryBase
typedef BoolePolyRing | parent_type
| Type of parent. More...

## Detailed Description

This class defines ExpGreater.

## Constructor & Destructor Documentation

polybori::groebner::ExpGreater::ExpGreater | ( | const BoolePolyRing & | ring) |  |

inline

## Member Function Documentation

bool polybori::groebner::ExpGreater::operator() | ( | const BooleExponent & | lhs,
|  | const BooleExponent & | rhs
| ) |  | const

inline

The documentation for this class was generated from the following file:

- ExpGreater.h